Subject: Re: Help with an MMIO register read function

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 11 Nov 2006 12:46:46 +1100

On Sat, 2006-11-11 at 00:10 +0100, Arnd Bergmann wrote:
> On Friday 10 November 2006 23:57, Carl Love wrote:
> > I expect the SBI values to be 0x2000000  not 0x200000000.  The L2 debug
> > value should be 0x6 not 0x600000000000000.  It seems like the bits are
> > there but shifted from where I would expect them to be.  Anyone have any
> > thoughts as to what is wrong?
> 
> Hmm, maybe you confused the bit order in the specification? IBM
> counts the MSB as bit 0, while everyone else counts the LSB as
> bit 0.

I think in this case the problem is that he's using readq() which
byteswaps.

Ben.